Team Folder Archive

View as MarkdownOpen in Claude
Sets an active team folder's status to archived and removes all folder and file members. This endpoint cannot be used for teams that have a shared team space. This route will either finish synchronously, or return a job ID and do the async archive job in background. Please use team_folder/archive/check to check the job status. Permission : Team member file access. **Required scope:** `team_data.content.write` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Authentication

AuthorizationBearer
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Request

This endpoint expects an object.
team_folder_idanyRequired
The ID of the team folder.
force_async_offbooleanOptionalDefaults to false
Whether to force the archive to happen synchronously.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
Variant:
team.TeamFolderArchiveLaunch.async_job_idobject
This response indicates that the processing is asynchronous. The string is an id that can be used to obtain the status of the asynchronous job.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error